/**
 * Yvonne V. Richardson, BSCS, M. Ed.
 * yvonne.richardson@comcast.net
 * http://yvonnerichardson.weebly.com
 * Android Java Application
 * Resume for Phones and Tablets
 * Application Deployed 2014-09-25
 */
package com.example.resume;

import android.content.Intent;
import android.content.res.Resources;
import android.net.Uri;
import android.os.Bundle;
import android.support.v4.app.NavUtils;
import android.support.v7.app.ActionBarActivity;
import android.view.MenuItem;
import android.view.View;
import android.widget.TextView;
import android.widget.Toast;

/**
 * An activity representing a single Topic detail screen. This activity is only
 * used on handset devices. On tablet-size devices, item details are presented
 * side-by-side with a list of items in a {@link TopicListActivity}.
 * <p>
 * This activity is mostly just a 'shell' activity containing nothing more than
 * a {@link TopicDetailFragment}.
 */
public class TopicDetailActivity extends ActionBarActivity {
	public void launchEmailApp(View v) {
		TextView tv = (TextView) v;
		String strEmAddr = tv.getText().toString();
		String strMail = "mailto";
		String strSubject = "Android Programming";
		String strBody = "Enter message here";
		String strCC = null;
		String strBCC = null;

		Intent em = new Intent(Intent.ACTION_SEND);
		em.putExtra(Intent.EXTRA_EMAIL, strEmAddr);
		em.putExtra(Intent.EXTRA_CC, strCC);
		em.putExtra(Intent.EXTRA_BCC, strBCC);
		em.putExtra(Intent.EXTRA_SUBJECT, strSubject);
		em.putExtra(Intent.EXTRA_TEXT, strBody);
		em.setData(Uri.parse(strMail + strEmAddr));
		em.setType("text/plain");
		try {
			startActivity(em.createChooser(em, "Send Email"));
		} catch (android.content.ActivityNotFoundException e) {
			Toast.makeText(TopicDetailActivity.this, "Email client not found",
					Toast.LENGTH_SHORT).show();
		}

	} // launchEmailApp

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_topic_detail);

		// Show the Up button in the action bar.
		getSupportActionBar().setDisplayHomeAsUpEnabled(true);

		// savedInstanceState is non-null when there is fragment state
		// saved from previous configurations of this activity
		// (e.g. when rotating the screen from portrait to landscape).
		// In this case, the fragment will automatically be re-added
		// to its container so we don't need to manually add it.
		// For more information, see the Fragments API guide at:
		//
		// http://developer.android.com/guide/components/fragments.html
		//
		if (savedInstanceState == null) {
			// Create the detail fragment and add it to the activity
			// using a fragment transaction.
			Bundle arguments = new Bundle();
			arguments.putString(TopicDetailFragment.ARG_ITEM_ID, getIntent()
					.getStringExtra(TopicDetailFragment.ARG_ITEM_ID));
			TopicDetailFragment fragment = new TopicDetailFragment();
			fragment.setArguments(arguments);
			getFragmentManager().beginTransaction()
					.add(R.id.topic_detail_container, fragment).commit();

		}
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		int id = item.getItemId();
		if (id == android.R.id.home) {
			// This ID represents the Home or Up button. In the case of this
			// activity, the Up button is shown. Use NavUtils to allow users
			// to navigate up one level in the application structure. For
			// more details, see the Navigation pattern on Android Design:
			//
			// http://developer.android.com/design/patterns/navigation.html#up-vs-back
			//
			NavUtils.navigateUpTo(this, new Intent(this,
					TopicListActivity.class));
			return true;
		}
		return super.onOptionsItemSelected(item);
	}
}
